import idaapi

from threatray_ida_plugin.application.signature_inspection_service import SignatureInspectionService
from threatray_ida_plugin.handlers.threatray_handler import ThreatrayHandler
from threatray_ida_plugin.libs.constants import PLUGIN_ID, OKAY_RESPONSE


class SignatureInspectionHandler(ThreatrayHandler):
    action_name = f'{PLUGIN_ID}:signature_inspection'

    def __init__(self, service: SignatureInspectionService):
        super().__init__(
            action_name=self.action_name,
            action_text='Signature Inspection',
            wanted_hotkey='',
            help='Inspect signature hits')
        self.__service = service

    def activate(self, _) -> int:
        self.__service.workflow()
        return OKAY_RESPONSE

    def update(self, ctx) -> int:
        # always on
        return idaapi.AST_ENABLE_FOR_WIDGET
