import idaapi

from threatray_ida_plugin.libs.constants import PLUGIN_ICON


class ThreatrayHandler(idaapi.action_handler_t):
    # used for sharing register_and_attach_to_menu method
    def __init__(self, action_name: str,
                 action_text: str,
                 wanted_hotkey: str,
                 help: str,
                 icon=PLUGIN_ICON):
        self._action_name = action_name
        self._action_text = action_text
        self._wanted_hotkey = wanted_hotkey
        self._help = help
        self._icon = icon

    def register(self):
        action_desc = idaapi.action_desc_t(
            self._action_name,
            self._action_text,
            self,  # handler instance
            self._wanted_hotkey,
            self._help,
            self._icon
        )
        idaapi.register_action(action_desc)

    def register_and_attach_to_menu(self, menu_path: str):
        self.register()
        idaapi.attach_action_to_menu(
            menu_path,
            self._action_name,
            idaapi.SETMENU_APP
        )
