from threatray_ida_plugin.libs.constants import PLUGIN_ICON_PATH, PLUGIN_NAME
from threatray_ida_plugin.views.message_box import MessageBox

class HelpBox:
    @staticmethod
    def create(version: str, email: str):
        # CAUTION: if the text becomes too long, ida throws an error (bytestring too long)
        text = f"""
<html>
<body>
    <p style="text-align:center;"><img src="{PLUGIN_ICON_PATH}" alt="Threatray"></p>
    <h1 style="text-align: center;">Threatray Plugin</h1>
    <p>
    <pre>
        Version: {version}
        Contact: {email}
    </pre>
    </p>
    <p>
    <h3>Features</h3>
    <ul>
        <li><b>Signature Inspection</b>: Show the threats for each function in a table as well as a comment in the function view.</li>
        <li><b>Function Retrohunt</b>: Show all matching functions and their respective code regions and analyses.</li>
    </ul>
    The features are listed under View/Threatray or in specific context menus.
    </p>
</body>
</html>
"""
        MessageBox.create(f'{PLUGIN_NAME} Plugin Help',
                          text)
